Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

All Questions

Tagged with
2
votes
2answers
204 views

After an AIX mksysb NIM migration upgrade, virtual package AIX-rpm is out-of-sync with the OS level

After upgrading an AIX system using mksysb migration via NIM, the AIX-rpm virtual package was left behind at the previous AIX level: $ oslevel -r 7100-04 $ rpm -q AIX-rpm AIX-rpm-6.1.7.0-7 This ...
0
votes
2answers
576 views

Have /bin/bash not /usr/bin/bash but Cant install RPM Update because of Failed Dependency

Linux system with bash located in /bin and not /usr/bin. Attempting to install (as root) glibc-common-2.17-222.el7.x86_64 using either of the following commands: rpm -ivh glibc-2.17-222.el7.x86_64....
1
vote
0answers
44 views

what is inside weak-update folder?

First, installed a driver package to OS (ex: CentOS ) -- foo_1.0.rpm Second, install the same driver but different version -- foo_2.0.rpm by rpm -ivh --force foo_2.0.rpm It seems an extra folder ...
0
votes
1answer
382 views

How correct update rpm if preremove.sh scipt run after postinstall.sh?

cat /etc/redhat-release CentOS Linux release 7.4.1708 (Core) yum list yum yum.noarch 3.4.3-154.el7.centos Repo: https://github.com/patsevanton/simple-package-update I build 1-th and 2-th ...
1
vote
1answer
70 views

When upgrading an rpm previously installed with prefixes, how to make sure the same prefixes are used?

On RHEL 7.2 I have installed an rpm with the command # rpm -ivh --relocate /some/default/prefix=/some/custom/prefix example-1.rpm Now I want to upgrade example.rpm to version 2 and make sure that ...
0
votes
1answer
152 views

RHEL 6: failing on dependencies for updating qgis rpm

I have an rpm for a newer version of qgis than the one I currently have. On this command: sudo rpm --upgrade qgis-2.18.2-4.fc26.i686.rpm, I get the errors: error: Failed dependencies: libQtCore.so.4 ...
1
vote
0answers
1k views

yum update glibc - ERROR with rpm_check_debug vs depsolve:

I want to update my system with yum update but I get only errors starting with these two lines: Running rpm_check_debug ERROR with rpm_check_debug vs depsolve: Then, I tried only to update the ...
1
vote
1answer
455 views

How to stop automatic upgrade of postgres,mongodb and RHE7 itself?

I have installed Postgeresql, mongodb using yum in RHEL 7.0 few days back, but now they are automatically upgrading. I don't want it to happen. How can I prevent the automatic upgrades?
1
vote
1answer
2k views

Upgrading Berkeley DB rpm in a Centos OS

I have a software which needs Berkeley DB 4.5 or above. But in my CentOS 5.11 x86_64 Server I have: Package db4-4.3.29-10.el5_5.2.x86_64 already installed and latest version Package db4-4.3.29-10....
1
vote
1answer
614 views

Installing RHEL6.5 by swapping RPMs

BACKGROUND So I've been tasked with updating a system from RHEL6.0 to RHEL6.5 via a bootable USB. Due to size limitation, I've stripped (using the rpm -e command to prevent dependency errors) ...
1
vote
1answer
932 views

Upgrading Red Hat 9 (Shrike) kernel manually

I am following the instructions here on how to manually perform a kernel upgrade in Red Hat. The current Kernel RPM's are: kernel-2.4.20-8 kernel-headers is not installed kernel-ibcs is not ...
0
votes
1answer
513 views

How to upgrade Magic Box?

I'm running Magic Box on Virtualbox. Magic Box is a portuguese Linux System, based off of SuSE. At least, that's what it said on the Linux Family Tree. The version I have is V.12. There's the most up-...
1
vote
1answer
112 views

Software distribution

I have a set of servers with Red Hat on board and an internal software (it is set of many files with configs and so on) that is in permanent development. There are several types of servers: ...